Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27611

Description

I've found an issue while trying to save a batch Export to PostgreSQL to json file.

2018-09-06T13:59:22     WARNING    Traceback (most recent call last):

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\gui\BatchPanel.py", line 198, in save

              if not param.checkValueIsAcceptable(wrapper.value(), context):

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing\gui\wrappers.py", line 1292, in value

              if self.dialogType in DIALOG_STANDARD:

             TypeError: argument of type 'WidgetType' is not iterable

Associated revisions

Revision 1c5250b1 - 2018-09-08 09:51 AM - Nyall Dawson

[processing] Fix some exceptions in batch dialog after refactoring

Fixes #19779, #19786

History

#1 - 2018-09-06 08:13 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Category changed from Processing/OGR to Processing/Core

#2 - 2018-09-08 09:51 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|1c5250b147edc1b4ad845884c0f4249ec5a99b43.

#3 - 2018-09-08 11:11 AM - Giovanni Manghi

- Resolution set to fixed/implemented
